Bug 1732262 (CVE-2019-12222) - CVE-2019-12222 SDL: out-of-bounds read in function SDL_InvalidateMap in video/SDL_pixels.c
Summary: CVE-2019-12222 SDL: out-of-bounds read in function SDL_InvalidateMap in video...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-12222
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754602 1732263 1754600 1754601 1754603
Blocks: 1732266
TreeView+ depends on / blocked
 
Reported: 2019-07-23 05:47 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-20 18:45:47 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-23 05:47:09 UTC
An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) 2.0.9. There is an out-of-bounds read in the function SDL_InvalidateMap at video/SDL_pixels.c.

Reference:
https://bugzilla.libsdl.org/show_bug.cgi?id=4621

Comment 1 Dhananjay Arunesh 2019-07-23 05:47:25 UTC
Created SDL tracking bugs for this issue:

Affects: fedora-all [bug 1732263]

Comment 2 Riccardo Schirone 2019-09-13 17:28:15 UTC
Upstream fix:
https://hg.libsdl.org/SDL_image/rev/e7e9786a1a34

Comment 3 Riccardo Schirone 2019-09-20 13:49:00 UTC
Statement:

This issue did not affect the versions of SDL as shipped with Red Hat Enterprise Linux 5, 6, 7, and 8 as they did not include SDL2_Image add-on.

Comment 4 Product Security DevOps Team 2019-09-20 18:45:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12222

Comment 5 Riccardo Schirone 2019-09-23 16:59:15 UTC
Created SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1754602]
Affects: fedora-all [bug 1754600]


Created mingw-SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1754603]
Affects: fedora-all [bug 1754601]


Note You need to log in before you can comment on or make changes to this bug.